[RESOLU] delete reviosionTable ?

vos questions concernant les API SolidWorks

[RESOLU] delete reviosionTable ?

Messagepar fred_ecai » Lun 22 Aoû 2011, 15:15

Salut,

je cherche a savoir s'il existe une fonction permettant de détruire une table de révision
j'arrive a en insérer une avec insertrevisiontable mais pas a la détruire....

et dans l'aide je ne trouve pas mon bonheur ....
:(
Dernière édition par fred_ecai le Mar 23 Aoû 2011, 10:57, édité 1 fois.
Avatar de l’utilisateur
fred_ecai
Membres du Conseil SolidWorks
 
Messages: 1450
Inscription: Mar 22 Déc 2009, 9:09
Localisation: loire (42), Slw 2012 SP1.0 XP 64bit (in english please)

Messagepar Lau » Lun 22 Aoû 2011, 15:49

Je ne vois que deux option
Clic droit sur la petite croix (selection de toute le table)/ supprimer / table
ou selectionner la table puis "delete"

Mais j'imagine que tu as déjà essayé :oops:
Avatar de l’utilisateur
Lau
Maître Jedi SolidWorks
 
Messages: 730
Inscription: Ven 29 Juil 2011, 9:32
Localisation: Liège

Messagepar fred_ecai » Lun 22 Aoû 2011, 15:56

Le but etant de le faire par macro.

en fait j'ai fait un code qui supprime des propriété perso propre a un type de machine et au statut dans EPDM pour les copies de MEP. avec changement de référence.
je voulais profiter de ce code pour supprimer la table de révision eet la remettre vierge du coup.

actuellement c'est ce que j'ai demander au gars du BE (ils sélectionnent, suppriment et rajoutent) mais 9 fois sur 10 fois vont oublier et les plans partent en consultations sans qu'ils soient tous "relu" ... là c'est le début alors ils y pensent et je surveille mais ça ne va pas toujours etre le cas.

:wink:
Avatar de l’utilisateur
fred_ecai
Membres du Conseil SolidWorks
 
Messages: 1450
Inscription: Mar 22 Déc 2009, 9:09
Localisation: loire (42), Slw 2012 SP1.0 XP 64bit (in english please)

Messagepar liryc » Lun 22 Aoû 2011, 16:01

Si je ne fais pas d'erreur il faut utiliser les fonctions delete des process selctionID.
Regarde dans l'aide de l'API les fonctions de suppression d'annotation.
liryc
Chevalier Jedi SolidWorks
 
Messages: 479
Inscription: Ven 02 Mar 2007, 8:14
Localisation: Paris - SW2009 SP5.0

Messagepar Chico » Lun 22 Aoû 2011, 17:08

Salut Fred,

Regarde du côté de la fonction
Code: Tout sélectionner
swModel.DeleteSelection(False)


Cette ligne de code est supposée supprimer tout ce qui est sélectionné. :wink:
Il vaut mieux poser une question et risquer d'avoir l'air idiot
une journée que de se taire et d'être bête toute sa vie.

8wd a dit : LA FONCTION RECHERCHE EST TON AMIE
http://www.logiciel-cao.com
Avatar de l’utilisateur
Chico
Esprit Jedi Solidworks
 
Messages: 3120
Inscription: Mer 12 Mar 2008, 19:16
Localisation: Mauricie (Québec) ------SW 2006 SP0.0

Messagepar fred_ecai » Mar 23 Aoû 2011, 7:07

merci chico.

je vais regarder ça alors.

je te tiendrais au courant.

:wink:
Avatar de l’utilisateur
fred_ecai
Membres du Conseil SolidWorks
 
Messages: 1450
Inscription: Mar 22 Déc 2009, 9:09
Localisation: loire (42), Slw 2012 SP1.0 XP 64bit (in english please)

Messagepar fred_ecai » Mar 23 Aoû 2011, 10:56

voici l'extrait de code qui marche :

Code: Tout sélectionner
Public swApp As SldWorks.SldWorks
Public swDoc As SldWorks.ModelDoc2
Public SwSheet As SldWorks.DrawingDoc
Public swview As SldWorks.View
Public SwTableRev As TableAnnotation
Public swAnn As SldWorks.Annotation

Public currentsheet As Object
Public mytablerev As Object

sub destruction_table_rev ()
Set swApp = Application.SldWorks
Set swDoc = swApp.ActiveDoc
Set SwSheet = swDoc
swDoc.ClearSelection2 (True)
'selection de la premiere vue
Set swview = SwSheet.GetFirstView
'boucle sur toutes les vues
Do While Not swview Is Nothing
    'recherche des annotations liées a la vue
    Set SwTableRev = swview.GetFirstTableAnnotation
        'boucle pour analyser si c'est une table de revision
        Do While Not SwTableRev Is Nothing
         If SwTableRev.Type = swTableAnnotation_RevisionBlock Then
            Set swAnn = SwTableRev.GetAnnotation
            swAnn.Select3 True, Nothing
            GoTo destructable
         End If
           
        Set SwTableRev = SwTableRev.GetNext
        Loop
    Set swview = swview.GetNextView
Loop

destructable:

swDoc.EditDelete

'insertion table
Set currentsheet = SwSheet.GetCurrentSheet
Set mytablerev = currentsheet.InsertRevisionTable(True, 0, 0, 3, "X:\SolidWorks\modèle ECAI\table\revision_ecai.sldrevtbt")
'attention changer le chemin pour la table de revision
' si true alors la table se met sur le point d'ancrage sinon sur coordonné 0,0

End Sub


bon j'ai enlevé toutes les parties qui ne concernaient pas la destruction et l'insertion de la table.

:wink:
Avatar de l’utilisateur
fred_ecai
Membres du Conseil SolidWorks
 
Messages: 1450
Inscription: Mar 22 Déc 2009, 9:09
Localisation: loire (42), Slw 2012 SP1.0 XP 64bit (in english please)


Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 3 invités

banniere